%define major_version	3
%define minor_version	2
%define revision	8

Summary:	Utilities for monitoring your system and processes on your system
Name:		procps
Version:	%{major_version}.%{minor_version}.%{revision}
Release:	%mkrel 6
License:	GPL
Group:		Monitoring
BuildRequires:	ncurses-devel
Patch0:		procps-3.2.3-sysctlshutup.patch
Patch2:		procps-3.2.7-dont-strip.patch
Patch3:		procps-3.2.5-top-rc.patch
Patch4:		procps-3.2.5-sysctl-writeonly.patch
Patch5:    	procps-3.2.7-fix-format-string.patch
Patch6:		procps-3.2.7-sysctl-ignore.patch
# (bor) two patches based of Fedora to add cgroup support
Patch7:		procps-3.2.8-ps-cgroup.patch
Patch8:		procps-3.2.8-ps-cgroup-suppress-root-group.patch
# (bor) glob order is non-determistic; inlucde proc/module.mk before ps
Patch9:		procps-3.2.8-fix-modules.mk-order.patch
# (bor) make sure linux_version is known when we need it
#       it appears order of execution for constructors may change between
#       GCC/binutils/ld versions (not sure who is responsible here)
Patch10:	procps-3.2.8-init_Linux_version-before-init_libproc.patch
URL:		http://procps.sf.net/
Source:		http://procps.sourceforge.net/%name-%version.tar.gz
BuildRoot:	%_tmppath/%name-root
Provides:	libproc.so.%{major_version}.%{minor_version} procps3
Obsoletes:	procps3
Requires(post): /bin/rm

%description
The procps package contains a set of system utilities which provide system
information.

Procps includes ps, free, skill, snice, tload, top, uptime, vmstat, w
and watch.

  * The ps command displays a snapshot of running processes.
  * The top command provides a repetitive update of the statuses of running
    processes.
  * The free command displays the amounts of free and used memory on your
    system.
  * The skill command sends a terminate command (or another specified signal)
    to a specified set of processes.
  * The snice command is used to change the scheduling priority of specified
    processes.
  * The tload command prints a graph of the current system load average to a
    specified tty.
  * The uptime command displays the current time, how long the system has been
    running, how many users are logged on and system load averages for the past
    one, five and fifteen minutes. 
  * The w command displays a list of the users who are currently logged on and
    what they're running.
  * The watch program watches a running program.
  * The vmstat command displays virtual memory statistics about processes,
    memory, paging, block I/O, traps and CPU activity.


%package devel
Group:		Development/C
Summary:	An X based system message monitoring utility
Requires:	%name = %version

%description devel
Development headers and library for the proc library.

%prep
%setup -q
%patch0 -p0 -b .sysctl
%patch2 -p1 -b .dont-strip
%patch3 -p1 -b .top-rc
%patch4 -p1 -b .sysctl-write-only
%patch5 -p0
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
PATH=/sbin:$PATH
rm -rf %{buildroot}

%makeinstall_std ldconfig=/bin/true install="install -D" lib="%{buildroot}/%{_lib}/"

rm -f %{buildroot}/%{_mandir}/man1/kill.1*

mkdir -p %{buildroot}%{_includedir}/procps
install -m 644 proc/*.h %{buildroot}%{_includedir}/procps
# This would conflict with util-linux:
mv %{buildroot}/bin/{,procps3-}kill
mv %{buildroot}%{_bindir}/free %{buildroot}/bin
ln -s ../../bin/free %{buildroot}%{_bindir}/free

ln -s libproc-%version.so %{buildroot}/%_lib/libproc.so

# quiet spec-helper:
chmod +w %{buildroot}/{bin,sbin,usr/bin,%_lib}/*

%clean
rm -rf %{buildroot}

%files

%defattr(-,root,root)
%doc NEWS BUGS TODO
/%{_lib}/libproc-*.so
/bin/procps3-kill
/bin/ps
/bin/free
/sbin/sysctl
%_bindir/free
%_bindir/pgrep
%_bindir/pmap
%_bindir/pwdx
%_bindir/pkill
%_bindir/skill
%_bindir/slabtop
%_bindir/snice
%_bindir/tload
%_bindir/top
%_bindir/uptime
%_bindir/vmstat
%_bindir/w
%_bindir/watch

%_mandir/man1/free.1*
%_mandir/man1/pgrep.1*
%_mandir/man1/pkill.1*
%_mandir/man1/pmap.1*
%_mandir/man1/ps.1*
%_mandir/man1/pwdx.1*
%_mandir/man1/skill.1*
%_mandir/man1/slabtop.1*
%_mandir/man1/snice.1*
%_mandir/man1/tload.1*
%_mandir/man1/top.1*
%_mandir/man1/uptime.1*
%_mandir/man1/w.1*
%_mandir/man1/watch.1*

%_mandir/man5/sysctl.conf.5*

%_mandir/man8/sysctl.8*
%_mandir/man8/vmstat.8*

%files devel
%defattr(-,root,root)
%{_includedir}/procps/*
/%_lib/libproc.so






%changelog
* Fri Jan 14 2011 blino <blino> 3.2.8-6.mga1
+ Revision: 17475
- remove old psdevtab/psdatabase removal in post
- remove old ldconfig scriptlets

  + tmb <tmb>
    - imported package procps


* Sat Jan  8 2011 Thomas Backlund <tmb@mageia.org> 3.2.8-5.mga1
- initial import

* Sat Sep 25 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 3.2.8-4mdv2011.0
+ Revision: 580956
- patch10: fix "Unknown HZ value!" after previous build. It appears, order
  of constructors execution is undefined and had changed. Add explicit
  priority so that linux version is defined before it is used.

* Sat Sep 18 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 3.2.8-3mdv2011.0
+ Revision: 579475
- patch9: fix build failure due to non-deterministic globbing order
- patch7, patch8: cgroup support based on Fedora patches

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.8-2mdv2010.1
+ Revision: 520202
- rebuilt for 2010.1

* Thu May 28 2009 Frederik Himpe <fhimpe@mandriva.org> 3.2.8-1mdv2010.0
+ Revision: 380611
- Update to new version 3.2.8
- Remove buffer overflow patch integrated upstream

* Mon Mar 16 2009 Emmanuel Andry <eandry@mandriva.org> 3.2.7-8mdv2009.1
+ Revision: 355565
- add P6 from fedora to ignore deprecated sysctl (#46136)

* Sun Mar 08 2009 Michael Scherer <misc@mandriva.org> 3.2.7-7mdv2009.1
+ Revision: 352713
- fix format string error

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Tue Sep 30 2008 Frederic Crozat <fcrozat@mandriva.com> 3.2.7-6mdv2009.0
+ Revision: 290067
- Move free to /bin (needed for readahead_early)

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 3.2.7-5mdv2009.0
+ Revision: 225080
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 12 2008 Olivier Blin <oblin@mandriva.com> 3.2.7-4mdv2008.1
+ Revision: 187159
- do not print warnings about write-only keys in sysctl -a (#21194, patch from RH)
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Emmanuel Andry <eandry@mandriva.org>
    - add patch3 from Fedora (fix #19589)

* Sat Mar 10 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.2.7-2mdv2007.1
+ Revision: 140334
- don't strip binaries
- fix buffer overflow in sysctl

* Wed Dec 13 2006 Emmanuel Andry <eandry@mandriva.org> 3.2.7-1mdv2007.1
+ Revision: 96573
- New version 3.2.7
  bunzip patches
  drop patches 1 and 2
- Import procps

* Thu Sep 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.2.6-2mdv2007.0
- Rebuild against ncurse

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.2.6-1mdk
- New release 3.2.6

* Sun Sep 18 2005 Frederic Lepied <flepied@mandriva.com> 3.2.5-2mdk
- pgrep, pmap, w, top: fix segfault in msec 5
- display a better message for other apps when proc isn't accessible

* Wed Jan 26 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.2.5-1mdk
- new release

* Tue Nov 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.2.4-2mdk
- merge back lost changes from 3.2.3-3mdk

* Fri Nov 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.2.4-1mdk
- new release

* Tue Oct 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.2.3-3mdk
- add back .so link so that rusers compile again

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.2.3-2mdk
- patch 0:
  o fix -f option (spoted by Albert Cahalan)
  o man page merge back bits lost for two years

* Wed Aug 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.2.3-1mdk
- new release
- rediff patch 0
- fix and clean %%_install
- fix -devel package description

* Wed Apr 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.2.1-1mdk
- new release

